%define monodir %{_libdir}
%define debug_package %{nil}

Name: gtk-sharp
Version: 1.0.10
Release: 22%{?dist}
Summary: GTK+ and GNOME bindings for Mono
Group: System Environment/Libraries
License: LGPLv2
URL: http://go-mono.com/sources-latest
Source0: http://go-mono.com/sources/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:	gtksharp-libdir.patch
Patch1: gtk-sharp-1.0.10-gtkhtml-3.24.0.patch
BuildRequires: libtool autoconf automake gnome-sharp-devel vte-devel
BuildRequires:  mono-devel libxml2-devel libgnomeui-devel libgnomeprintui22-devel
BuildRequires:  librsvg2-devel gtkhtml3-devel
BuildRequires:  gnome-desktop-sharp-devel
ExclusiveArch: %ix86 x86_64 ia64 armv4l sparc alpha

%description
This package provides a library that allows you to build
fully native graphical GNOME applications using Mono. Gtk#
is a binding to GTK+, the cross platform user interface
toolkit used in GNOME. It includes bindings for Gtk, Atk,
Pango, Gdk, libgnome, libgnomeui and libgnomecanvas. Gtk#
1.x binds GTK+ 2.2.

%package gapi
Group: Development/Languages
Summary: Glib and GObject C source parser and C generator for managed bindings
Requires: perl-XML-LibXML-Common perl-XML-LibXML perl-XML-SAX

%description gapi
This package provides developer tools for the creation and
maintenance of managed bindings to native libraries which utilize
glib and GObject.

%package gapi-devel
Group: Development/Libraries
Summary: pkgconfig for gapi-sharp
Requires: %{name} = %{version}-%{release} pkgconfig

%description gapi-devel
pkgconfig file for gtk-sharp-gapi

%package devel
Group: Development/Libraries
Summary: pkgconfig file for gtk-sharp
Requires: %{name} = %{version}-%{release} pkgconfig

%description devel
pkgconfig file for gtk-sharp

%prep
%setup -q -n gtk-sharp-%{version}
%patch0 -p1 -b .libdir
%patch1 -p1 -b .gtkhtml3.24.0
#autoreconf -f -i -s
autoconf
chmod 644 HACKING
chmod 644 glib/glue/error.c

%build
%configure --disable-gda --disable-gnomedb --libdir=%{monodir} --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install 
rm %{buildroot}%{monodir}/*.*a
chmod 755 %{buildroot}/%{_bindir}/gconfsharp-schemagen.exe
chmod 755 %{buildroot}/%{_bindir}/gapi*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README AUTHORS README.generator
%{_bindir}/gconfsharp*
%{monodir}/*.so
%{monodir}/mono/gac/gtk-sharp/1*/
%{monodir}/mono/gac/a*-sharp/1*/
%{monodir}/mono/gac/gconf-sharp*/1*/
%{monodir}/mono/gac/gdk-sharp/1*/
%{monodir}/mono/gac/glade-sharp/1*
%{monodir}/mono/gac/glib-sharp/1*/
%{monodir}/mono/gac/gnome-sharp/1*/
%{monodir}/mono/gac/gtkhtml-sharp/1*/
%{monodir}/mono/gac/pango-sharp/1*/
%{monodir}/mono/gac/vte-sharp/1*/
%{monodir}/mono/gac/rsvg-sharp/1*/
%{monodir}/mono/gtk-sharp/

%files devel
%defattr(-,root,root,-)
%doc HACKING
%{monodir}/pkgconfig/*-sharp.pc

%files gapi
%defattr(-,root,root,-)
%{_bindir}/gapi*
%{_datadir}/gapi

%files gapi-devel
%defattr(-,root,root,-)
%{monodir}/pkgconfig/gapi.pc

%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.10-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec  5 2008 Matthias Clasen  <mclasen@redhat.com> - 1.0.10-21
- Rebuild for pkg-config provides
 
* Mon Oct 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0.10-20
- fix gtkhtml check for rawhide
- BR: libgnomeprintui22-devel

* Mon Oct 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0.10-19
- add missing BR: gnome-desktop-sharp

* Mon Oct 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0.10-18
- rebuild for new gnome-sharp

* Fri Jul 25 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0.10-17
- fix license tag

* Wed May 07 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.0.10-16
- Removed ppc build for now

* Wed May 07 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.0.10-15
- added BR gnome-sharp-devel and vte-devel

* Wed May 07 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.0.10-14
- doh! forgot excludearch ppc64

* Tue May 06 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.0.10-13
- rebuild
- removed debug package

* Fri Oct 27 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.0.10-12
- rebuild

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 1.0.10-11
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Sat Sep 23 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.0.10-10
- some chmods for executables and text files

* Mon Sep 18 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.0.10-9
- fixed libdir error. Thanks Rathann :-)

* Sun Sep 17 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.0.10-8
- removed BRs not required
- fixed directory ownership problem
- added additional docs

* Sun Sep 10 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.0.10-7
- patch fix for FC6
- fixed versioning problem
- changed libdir-*.so to monodir-*.so

* Tue Sep 05 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.0.10-6
- rebuild for FE
- added 64 clean for FC6 while keeping things of FC5
- added devel package
- added 64 bit patch (not used in FC5)

* Sun Feb 12 2006 Christopher Aillon <caillon@redhat.com> 1.0.10-5
- Rebuild

* Tue Feb  7 2006 Jesse Keating <jkeating@redhat.com> 1.0.10-4.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Jan 19 2006 Alexander Larsson <alexl@redhat.com> 1.0.10-4
- mono now builds on s390x

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> 1.0.10-3
- Add s390

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 1.0.10-2
- rebuils

* Tue Nov 15 2005 Alexander Larsson <alexl@redhat.com> - 2.4.0-1
- Initial version
